Package org.apache.uima.analysis_engine.annotator

# Class AnnotatorProcessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.uima.UIMAException
org.apache.uima.analysis_engine.annotator.AnnotatorProcessException

All Implemented Interfaces:
  `Serializable`, `I18nExceptionI`

public class AnnotatorProcessException extends UIMAException
An `AnnotatorProcessException` may be thrown by an annotator's process method, indicating that a failure occurred during processing.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.uima.UIMAException

  `STANDARD_MESSAGE_CATALOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotatorProcessException()`
  Creates a new exception with a null message.
  `AnnotatorProcessException(String aMessageKey, Object[] aArguments)`
  Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
  `AnnotatorProcessException(String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
  `AnnotatorProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
  Creates a new exception with a the specified message.
  `AnnotatorProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
  Creates a new exception with the specified message and cause.
  `AnnotatorProcessException(Throwable aCause)`
  Creates a new exception with the specified cause and a null message.

- ## Method Summary

  ### Methods inherited from class org.apache.uima.UIMAException

  `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.I18nExceptionI

  `getLocalizedMessage, hasMessageKey`

- ## Constructor Details

  - ### AnnotatorProcessException

    public AnnotatorProcessException()
    Creates a new exception with a null message.

  - ### AnnotatorProcessException

    public AnnotatorProcessException(Throwable aCause)
    Creates a new exception with the specified cause and a null message.
    Parameters:
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### AnnotatorProcessException

    public AnnotatorProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments)
    Creates a new exception with a the specified message.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### AnnotatorProcessException

    public AnnotatorProcessException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified message and cause.
    Parameters:
      `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any

  - ### AnnotatorProcessException

    public AnnotatorProcessException(String aMessageKey, Object[] aArguments)
    Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

  - ### AnnotatorProcessException

    public AnnotatorProcessException(String aMessageKey, Object[] aArguments, Throwable aCause)
    Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    Parameters:
      `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
      `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
      `aCause` - the original exception that caused this exception to be thrown, if any